Subject: Re: germans at ucdavis

From: [email-masked] (Tim Hack)
Date: 11 Mar 1995 19:36:45 -0500

I own five acres of land in Iowa and am experimenting with different types
of trees.  I planted several European Beech trees.  I understand these are
common in Germany but I have never seen one in this area.  They are
supposedly hardy in zone 5 and can withstand a neutral PH soil so I don't
understand why I haven't seen any.  Is there a reason these are not grown
here and do you have any tips for me?